#pragma once

#include <nlite_common\singleton.h>
#include "define.h"
#include "cookie.h"

#include "namespace_start.h"



class CCookieMaster:public SingletonT<CCookieMaster>{


public:
	Bool GetCookie(browsertype::BrowserType bt,const NString &domein,const NString &name,CCookie &cookie);


	static const NChar *BrowserTypeToString(browsertype::BrowserType bt);

	static const NChar *ResultCodeToString(resultcode::ResultCode rc);

};




#include "namespace_end.h"